-- translate mouse position on screen to mouse position in world compensating for camera movement
function mouseload()
	rmousedown = 0
end

function mouseworld(mouseX, mouseY)

  worldmouseX = mouseX/camera.scalefactor+camera.x
  worldmouseY = mouseY/camera.scalefactor+camera.y

  if love.keyboard.isDown("tab") then
      local state = not love.mouse.isGrabbed()   -- the opposite of whatever it currently is
      love.mouse.setGrab(state)
  end

  return worldmouseX,worldmouseY
end

--take mouse input callbacks
function love.mousepressed(x, y, button)
   if button == 'l' then
      lmousedown = 1
      mousefunctions('l', 'p', x, y)
   end
   if button == 'r' then
      rmousedown = 1
      mousefunctions('r', 'p', x, y)
   end
end

function love.mousereleased(x, y, button)
   if button == 'l' then
      lmousedown = 0
      mousefunctions('l', 'r', x, y)
   end
   if button == 'r' then
      rmousedown = 0
      mousefunctions('r', 'r', x, y)
   end
end


--take mouse callbacks and split them into the various wanted functions
function mousefunctions(button, dir, x, y)
	if button == 'l' and dir == 'p' then
    x,y = mouseworld(x,y)
		addblocks(x, y, blockmode)
    blockaddable = 1
	end
	if button == 'r' and dir == 'p' then
    x,y = mouseworld(x,y)
		moveblocks(x, y)
	end
end